summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2023-11-22 13:49:32 +0100
committerRaymaekers Luca <raymaekers.luca@gmail.com>2023-11-22 13:49:32 +0100
commit0a84c3d984349e96ddd8077cf2bdd9e08ccb4300 (patch)
treef04e127a4c6f98645ee3076f2031f5fc6e1b9f43
parent7f2e035fcec31435fb93cd9d8258a6034b8caa7a (diff)
parent1024bf9cb8f38ff9cdd6e58a7614d1de8a5bbb29 (diff)
Merge branch 'main' of debuc.com:dotfiles
-rwxr-xr-xbin/guiscripts/torque4
-rwxr-xr-xbin/menuscripts/mmpv8
-rwxr-xr-xbin/menuscripts/mpass-otp6
-rwxr-xr-xconfig/X/x11/xinitrc2
-rw-r--r--config/wayland/hypr/binds.conf4
-rw-r--r--config/wayland/hypr/hyprland.conf15
6 files changed, 33 insertions, 6 deletions
diff --git a/bin/guiscripts/torque b/bin/guiscripts/torque
index 51e2806..8f939e1 100755
--- a/bin/guiscripts/torque
+++ b/bin/guiscripts/torque
@@ -47,8 +47,8 @@ prompt() {
r) read -rp "remove torrent: #"; send -t "$REPLY" -r; k=0 ;;
o) read -rp "load magnet: "; send -a "$REPLY"; k=0 ;;
m)
- read -rp "move torrent: " torrent
- read -rp "destination folder: "
+ read -rp "move torrent: #" torrent
+ read -rp "destination folder: /downloads/"
send -t "$torrent" --move "/downloads/$REPLY"
;;
j) ((j==${#t[@]}))||((k=k>=j?k:++k,j=j<${#t[@]}?++j:j)) ;;
diff --git a/bin/menuscripts/mmpv b/bin/menuscripts/mmpv
new file mode 100755
index 0000000..76c0d6a
--- /dev/null
+++ b/bin/menuscripts/mmpv
@@ -0,0 +1,8 @@
+#!/bin/sh
+# Have an mpv instance that works with a socket somewhat globally
+socket="/tmp/mpvsocket"
+# Start mpv in idle if socket is not getting listened to
+nc -zvU "$socket" || setsid mpv --input-ipc-server=/tmp/mpvsocket --idle &
+file="$(PLAYER='echo' mmedia video)"
+[ "$file" ] || exit 1
+echo '{ "command": ["loadfile", "'"$file"'", "append-play"] }' | nc -U /tmp/mpvsocket
diff --git a/bin/menuscripts/mpass-otp b/bin/menuscripts/mpass-otp
new file mode 100755
index 0000000..b60f953
--- /dev/null
+++ b/bin/menuscripts/mpass-otp
@@ -0,0 +1,6 @@
+#!/bin/sh
+pass="$(find "$PASSWORD_STORE_DIR"/keys/otp -name "*.gpg" -printf '%f\n' |
+ sed 's/\.gpg$//' |
+ commander -c)"
+[ "$pass" ] || exit 1
+pass otp -c keys/otp/"$pass"
diff --git a/config/X/x11/xinitrc b/config/X/x11/xinitrc
index beb33f2..2b2d5f1 100755
--- a/config/X/x11/xinitrc
+++ b/config/X/x11/xinitrc
@@ -22,7 +22,7 @@ export MENUCMD="dmenu"
export IMAGE="feh"
xcompmgr &
feh --no-fehbg --bg-scale ~/pics/wallpaper
-setxkbmap -option ctrl:nocaps
+setxkbmap -option ctrl:swapcaps
xmodmap -e "keycode 135 = Super_L"
xautolock -time 5 -locker slock &
gammastep -m randr &
diff --git a/config/wayland/hypr/binds.conf b/config/wayland/hypr/binds.conf
index 251ce69..15af7dd 100644
--- a/config/wayland/hypr/binds.conf
+++ b/config/wayland/hypr/binds.conf
@@ -112,8 +112,8 @@ bind = $mainMod, L, exec, dmlang
bind =, L, exec, dmlang
bind = $mainMod, S, exec, mmedia schoolpdf
bind =, S, exec, mmedia schoolpdf
-bind = $mainMod, V, exec, mmedia video
-bind =, V, exec, mmedia video
+bind = $mainMod, V, exec, mmpv
+bind =, V, exec, mmpv
bind = $mainMod, U, exec, mmedia cursus
bind =, U, exec, mmedia cursus
bind = $mainMod, M, exec, mmedia
diff --git a/config/wayland/hypr/hyprland.conf b/config/wayland/hypr/hyprland.conf
index 9eb0549..302ae33 100644
--- a/config/wayland/hypr/hyprland.conf
+++ b/config/wayland/hypr/hyprland.conf
@@ -10,7 +10,7 @@ input {
kb_layout = us
kb_variant =
kb_model =
- kb_options = ctrl:nocaps
+ kb_options = ctrl:swapcaps
kb_rules =
follow_mouse = 2
@@ -93,3 +93,16 @@ windowrulev2 = noanim, class:dmenu
layerrule = noanim, launcher
source = ./binds.conf
+
+# Even are for left monitor
+workspace = 1,monitor:HDMI-A-4
+workspace = 3,monitor:HDMI-A-4
+workspace = 5,monitor:HDMI-A-4
+workspace = 7,monitor:HDMI-A-4
+workspace = 9,monitor:HDMI-A-4
+
+# Odd are for right monitor
+workspace = 2,monitor:DP-2
+workspace = 4,monitor:DP-2
+workspace = 6,monitor:DP-2
+workspace = 8,monitor:DP-2